Match a list of ssns to recipient for a specific tenant
POST
/v2/tenant/{tenantKey}/usermatch/ssn
const url = 'https://sender.api.kivra.com/v2/tenant/example/usermatch/ssn';const options = { method: 'POST', headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'}, body: '{"list":["191212121212","197701032380","198112172385"]}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://sender.api.kivra.com/v2/tenant/example/usermatch/ssn \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data '{ "list": [ "191212121212", "197701032380", "198112172385" ] }'Match a list of SSNs to identify those eligible to receive content from the tenant.
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”tenantKey
required
string format: hexadecimal
The tenant key the matching should be done against. Recipients that opt-out from the tenant will be excluded.
Request Bodyrequired
Section titled “Request Bodyrequired”List of SSNs to be matched. The payload can be up to 10MB in size, corresponding to about 500.000 SSNs. If the payload exceeds 10MB, Kivra will respond with a 413 error.
Media typeapplication/json
UserMatchV2SSN
object
list
required
List of recipient addresses to be matched
Array<string>
Example
{ "list": [ "191212121212", "197701032380", "198112172385" ]}Responses
Section titled “Responses”Filtered list of SSNs that matched.
Media typeapplication/json
UserMatchV2SSN
object
list
required
List of recipient addresses to be matched
Array<string>
Example
{ "list": [ "191212121212", "198112172385" ]}